Bug 13790 - Example CTDB recovery lock setting is not scary enough
Example CTDB recovery lock setting is not scary enough
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.10.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-17 11:10 UTC by Martin Schwenke
Modified: 2019-03-06 08:50 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.10 and possibly 4.9 (1.88 KB, patch)
2019-03-02 09:42 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2019-02-17 11:10:11 UTC
It is too easy for an administrator to uncomment the current recovery lock setting in the example CTDB configuration file.  The likely failure mode is somewhat confusing when this happens.  The example setting should look scarier and the corresponding failure mode should be much clearer.
Comment 1 Martin Schwenke 2019-03-02 09:42:42 UTC
Created attachment 14892 [details]
Patch for 4.10 and possibly 4.9

I can't remember whether we thought this should go into 4.9 too.  It applies cleanly to both...
Comment 2 Amitay Isaacs 2019-03-04 04:10:45 UTC
Hi Karolin,

This is ready for v4-10 and v4-9.
Comment 3 Karolin Seeger 2019-03-04 10:28:50 UTC
(In reply to Amitay Isaacs from comment #2)
Pushed to autobuild-v4-{10,9}-test.
Comment 4 Karolin Seeger 2019-03-06 08:50:10 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!